Bug 1352596 - wine-1.9.15 is available
Summary: wine-1.9.15 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wine
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-04 12:10 UTC by Upstream Release Monitoring
Modified: 2016-08-02 19:53 UTC (History)
6 users (show)

Fixed In Version: wine-1.9.15-1.fc24
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-02 19:53:16 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2016-07-04 12:10:08 UTC
Latest upstream release: 1.9.13
Current version/release in rawhide: 1.9.12-1.fc25
URL: http://sourceforge.net/projects/wine

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5134/

Comment 1 Upstream Release Monitoring 2016-07-09 12:39:27 UTC
Latest upstream release: 1.9.14
Current version/release in rawhide: 1.9.12-1.fc25
URL: http://sourceforge.net/projects/wine

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5134/

Comment 2 Raphael Groner 2016-07-12 20:44:59 UTC
Can you please update for epel7, too? Winetricks needs at least wine-1.9.

Comment 3 Michael Cronenworth 2016-07-12 20:52:00 UTC
No, sorry.

Wine 1.8 is considered stable and I only want to release a stable version of wine in EPEL. Other factors would be that Wine 1.9 requires newer Wine Gecko and Wine Mono, which could not be built in EPEL due to old versions of the build tools.

Comment 4 Raphael Groner 2016-07-12 21:32:13 UTC
Too bad. I'm not sure where I got the 1.9 requirement but for now unpushed winetricks from epel7 then.

Comment 5 Upstream Release Monitoring 2016-07-24 01:06:07 UTC
Latest upstream release: 1.9.15
Current version/release in rawhide: 1.9.12-1.fc25
URL: http://sourceforge.net/projects/wine

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5134/

Comment 6 Fedora Update System 2016-07-30 05:18:56 UTC
mingw-wine-gecko-2.47-1.fc24 wine-1.9.15-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-521ec11346

Comment 7 Fedora Update System 2016-07-30 19:26:41 UTC
mingw-wine-gecko-2.47-1.fc24, wine-1.9.15-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-521ec11346

Comment 8 Markus Linnala 2016-08-01 16:11:48 UTC
I have problem starting Battle.net with wine-1.9.15-1.fc24. Previous wine-1.9.12-1.fc24 works.

I have sole WINEPREFIX for Battle.net and I use WINEARCH=win32

fixme:winediag:start_process Wine Staging 1.9.15 is a testing version containing experimental patches.
fixme:winediag:start_process Please mention your exact version when filing bug reports on winehq.org.
fixme:iphlpapi:NotifyIpInterfaceChange (family 0, callback 0x6a0cb608, context 0x9388a8, init_notify 0, handle 0x116e794): stub
wine: configuration in '/data/games/.wine-battle.net' has been updated.
fixme:ver:GetCurrentPackageId (0x456e9d8 (nil)): stub
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
err:ntdll:RtlpWaitForCriticalSection section 0x10321d8 "?" wait timed out in thread 003c, blocked by 0000, retrying (60 sec)
err:ntdll:RtlpWaitForCriticalSection section 0x10321d8 "?" wait timed out in thread 003c, blocked by 0000, retrying (60 sec)

Comment 9 Michael Cronenworth 2016-08-01 16:23:16 UTC
(In reply to Markus Linnala from comment #8)
> I have problem starting Battle.net with wine-1.9.15-1.fc24. Previous
> wine-1.9.12-1.fc24 works.

Yes, known issue.

https://appdb.winehq.org/objectManager.php?iId=28855&sClass=version

The only known workaround at this time is to use the older Battle.net client.

Comment 10 Fedora Update System 2016-08-02 19:53:12 UTC
mingw-wine-gecko-2.47-1.fc24, wine-1.9.15-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.